Summary: text formatting system used by the Linux Documentation Project
Name: sgml-tools
Obsoletes: linuxdoc-sgml
Version: 1.0.9
Release: 3
Copyright: freeware
Group: Applications/Publishing
Source: http://www.consultronics.com/~cdegroot/sgmltools/dist/sgml-tools-%{PACKAGE_VERSION}.tar.gz
Patch: sgml-tools-1.0.6-letter.patch
#Patch1: sgml-tools-1.0.9-egcs.patch
Patch2: sgml-tools-1.0.9-gcc2723.patch
Patch3: http://jf.linux.or.jp/JF/JF-ftp/misc/sgml-tools/sgml-tools-1.0.9j.diff
Patch4: sgml-tools-1.0.9.nodoc.patch
Url: http://www.pobox.com/~cg/sgmltools
Buildroot: /var/tmp/sgml-root
Summary(de): Textformatierungssystem, das vom Linux Documentation Project benutzt wird
Summary(fr): Syst)Bme de formattage de texte utilis par le Linux Documentation Project.
Summary(tr): GNU belge bi)Bimlendirme sistemi
Serial:	2000032101

%changelog
* Tue Mar 21 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added japanese patch

* Mon Jan 25 1999 Scott Stone <sstone@turbolinux.com>
- Patched for proper egcs build

* Tue Sep 29 1998 Scott Stone <sstone@turbolinux.com>
- Built for TL 2.1.x
- Built w/ egcs
- Updated to 1.0.7

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>

- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml

%description
SGML-Tools is a SGML-based text formatter which allows you to
produce a variety of output formats.  You can create PostScript and
dvi (with LaTeX), plain text (with groff), HTML, and texinfo files
from a single SGML source file.

%description -l de
SGML-Tools ist ein Textformatierer auf SGML-Basis, der eine Vielzahl
von Ausgabeformaten erzeugen kann. Sie k)Bnnen aus einer einzigen 
SGML-Quelldatei PostScript-, dvi- (mit LaTeX), Nur-Text- 
(mit groff), HTML- und texinfo-Dateien erstellen.

%description -l fr
SGML-Tools est un formatteur de texte bas)B sur SGML qui vous permet
de produire de nombreux formats de fichiers de sortie. vous pouvez
cr)Ber du PostScript et du dvi (avec LaTeX), du texte simple (avec groff),
du HTML, et des fichiers texinfo depuis un simple fichier SGML.

%description -l tr
SGML-Tools, SGML tabanl)B deiik biimlerde $)Bkt)Blar retmenizi salayan bir
metin bi)Bimleyicisidir. PostScript, dvi (LaTeX ile), dz metin (groff ile),
HTML dosyalar)Bn tek bir SGML kaynak dosyasndan yaratabilirsiniz.

%prep
%setup -q
rm -rf $RPM_BUILD_ROOT
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CXX="g++ -V2.7.2.3" ./configure --prefix=/usr
#patch -p0 -b --suffix .egcs < %{PATCH1}
make CXX="g++ -V2.7.2.3"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/sgml-tools
/usr/lib/perl5/Text/EntityMap.pm
/usr/lib/entity-map
/usr/lib/sgml
/usr/doc/sgml-tools
/usr/bin/*
/usr/man/*/*

